<?xml version='1.0' encoding='UTF-8'?><definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:tns="http://ws.wsrecaudo.arquitecsoft.com/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns="http://schemas.xmlsoap.org/wsdl/" name="WSRecaudo" targetNamespace="http://ws.wsrecaudo.arquitecsoft.com/">
  <types>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:tns="http://ws.wsrecaudo.arquitecsoft.com/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns="http://schemas.xmlsoap.org/wsdl/">
            
  <xsd:import namespace="http://ws.wsrecaudo.arquitecsoft.com/" schemaLocation="https://api-qaepa.arqbs.com/WSRecaudoV2/services/WSRecaudo?xsd=../xsd/WSRecaudo.xsd"/>
        
</xsd:schema>
  </types>
  <message name="NotificarPagoResponse">
    <part element="tns:NotificarPagoResponse" name="parameters">
    </part>
  </message>
  <message name="ConsultarCupon">
    <part element="tns:ConsultarCupon" name="parameters">
    </part>
  </message>
  <message name="SOAPException">
    <part element="tns:SOAPException" name="fault">
    </part>
  </message>
  <message name="ConsultarCuponResponse">
    <part element="tns:ConsultarCuponResponse" name="parameters">
    </part>
  </message>
  <message name="NotificarPago">
    <part element="tns:NotificarPago" name="parameters">
    </part>
  </message>
  <message name="ValidarEstadoServicio">
    <part element="tns:ValidarEstadoServicio" name="parameters">
    </part>
  </message>
  <message name="ValidarEstadoServicioResponse">
    <part element="tns:ValidarEstadoServicioResponse" name="parameters">
    </part>
  </message>
  <portType name="WSRecaudo">
    <operation name="NotificarPago">
      <input message="tns:NotificarPago" wsam:Action="http://ws.wsrecaudo.arquitecsoft.com/WSRecaudo/NotificarPagoRequest">
    </input>
      <output message="tns:NotificarPagoResponse" wsam:Action="http://ws.wsrecaudo.arquitecsoft.com/WSRecaudo/NotificarPagoResponse">
    </output>
      <fault message="tns:SOAPException" name="SOAPException" wsam:Action="http://ws.wsrecaudo.arquitecsoft.com/WSRecaudo/NotificarPago/Fault/SOAPException">
    </fault>
    </operation>
    <operation name="ValidarEstadoServicio">
      <input message="tns:ValidarEstadoServicio" wsam:Action="http://ws.wsrecaudo.arquitecsoft.com/WSRecaudo/ValidarEstadoServicioRequest">
    </input>
      <output message="tns:ValidarEstadoServicioResponse" wsam:Action="http://ws.wsrecaudo.arquitecsoft.com/WSRecaudo/ValidarEstadoServicioResponse">
    </output>
      <fault message="tns:SOAPException" name="SOAPException" wsam:Action="http://ws.wsrecaudo.arquitecsoft.com/WSRecaudo/ValidarEstadoServicio/Fault/SOAPException">
    </fault>
    </operation>
    <operation name="ConsultarCupon">
      <input message="tns:ConsultarCupon" wsam:Action="http://ws.wsrecaudo.arquitecsoft.com/WSRecaudo/ConsultarCuponRequest">
    </input>
      <output message="tns:ConsultarCuponResponse" wsam:Action="http://ws.wsrecaudo.arquitecsoft.com/WSRecaudo/ConsultarCuponResponse">
    </output>
      <fault message="tns:SOAPException" name="SOAPException" wsam:Action="http://ws.wsrecaudo.arquitecsoft.com/WSRecaudo/ConsultarCupon/Fault/SOAPException">
    </fault>
    </operation>
  </portType>
  <binding name="WSRecaudoPortBinding" type="tns:WSRecaudo">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <operation name="NotificarPago">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
      <fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </fault>
    </operation>
    <operation name="ValidarEstadoServicio">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
      <fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </fault>
    </operation>
    <operation name="ConsultarCupon">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
      <fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </fault>
    </operation>
  </binding>
  <service name="WSRecaudo">
    <port binding="tns:WSRecaudoPortBinding" name="WSRecaudoPort">
      <soap:address location="https://api-qaepa.arqbs.com/WSRecaudoV2/services/WSRecaudo"/>
    </port>
  </service>
</definitions>